<?
if (isset($_POST['msg']) && isset($user)){
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='Мат: '.$mat;

if (strlen2($msg)>1024){$err[]='Не больше 1024';}
elseif (strlen2($msg)<2){$err[]='Не короче 2';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `wall` WHERE `id_user` = '$user[id]' AND `idi`='$ank[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Спам!';}
elseif(!isset($err)){
mysql_query("INSERT INTO `wall` (id_user, time, msg, idi) values('$user[id]', '$time', '".my_esc($msg)."', '$ank[id]')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]]$user[nick][/url] оставил сообшение на вашей [url=/info.php?id=$ank[id]]Стене[/url]', '$time')");
msg('Добавлено!');
}
}
err();
if (isset($user)){
echo "<form method='post' name='message' action='/info.php?id=$ank[id]'>";
echo "<textarea name='msg'></textarea><br/>";
echo "<label><input type='checkbox' name='translit' value='1' /> Транслит</label><br/>";
echo "<input value='Отправить' type='submit' />";
echo "</form>";
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `wall` WHERE `idi`='$ank[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0){
echo "<div class='err'>";
echo "Нет записей!";
echo "</div>";
}

$q=mysql_query("SELECT * FROM `wall` WHERE `idi`='$ank[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{

$ank2=get_user($post['id_user']);
echo "<div class='menu_razd'>";
// echo "<img src='/style/themes/$set[set_them]/user/$ank2[pol].png' alt='' />"; // Раскоментируйте если у вас не Dcms Fiera
echo "".status($ank2['id']).""; // Закоментируйте если у вас не Dcms Fiera
echo "<a href='/info.php?id=$ank2[id]'>$ank2[nick]</a>";
echo "".medal($ank2['id']).""; // Закоментируйте если у вас не Dcms Fiera
echo " ".online($ank2['id'])." ";
echo " (".vremja($post['time']).")";
echo "</div>";
echo output_text($post['msg'])." ";
if (user_access('guest_delete'))
echo "[<a href='/wall/del.php?id=$post[id]'><b>x</b></a>]";
echo "<br/>";
}
if ($k_page>1)str('?id='.$ank['id'].'&amp;',$k_page,$page);
?>

